C
      PROGRAM MCJN0
C
      IMPLICIT REAL*8(A-H,O-Z)
      COMPLEX*16 Z,CJ0,CN0
C
      WRITE(*,1210)
      READ(*,*)X
      WRITE(*,1220)
      READ(*,*)Y
      Z=DCMPLX(X,Y)
C
 1210 FORMAT(/' Enter real : ',\)
 1220 FORMAT( ' Enter imag : ',\)
c
      CALL CJN0(Z,CJ0,CN0)
      CALL BESJN0(X,RJ0,RN0)
C
      WRITE(*,2000)Z,CJ0,CN0
      WRITE(*,2100)X,RJ0,RN0
 2000 FORMAT(/' Z,CJ0,CN0=',6D11.3)
 2100 FORMAT( ' X,RJ0,RN0=',3(D11.3,11X))
C
      STOP
      END
